Subject: Re: [PATCH net-next 11/15] mlxsw: spectrum_switchdev: Add locked bridge port support

From: Ido Schimmel <[email-masked]>
Date: Wed, 9 Nov 2022 10:26:29 +0200

On Tue, Nov 08, 2022 at 04:59:29PM +0200, Vladimir Oltean wrote:
> Can't really figure out from the patch, sorry. Port security works with
> LAG offload?

Yes. It's just that port security needs to be enabled on each of the
member ports. FDB entries that point to a LAG are programmed with a
lag_id. When a packet is received from a LAG the hardware will compare
source_lag_id == lag_id instead of rx_local_port == tx_local_port.